# SourcePath: alsa-utils/20090327dev
%define ver      1.0.19

Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Name: sony-target-dev-alsa-utils
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-alsa-utils
Version: %ver
Release: 08010102
Source: ftp://ftp.alsa-project.org/pub/utils/alsa-utils-%{ver}.tar.bz2
Patch0: alsa-utils-%{ver}-alsaconf-scel.patch
License: GPL2
URL: http://www.alsa-project.org
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-alsa-lib

%description

Advanced Linux Sound Architecture (ALSA) - Utils

%package -n %{pkgname}
Summary: Advanced Linux Sound Architecture (ALSA) - Utils
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}

Advanced Linux Sound Architecture (ALSA) - Utils


%prep
%setup -n alsa-utils-%{version}

%patch0 -p1


%build
%sony_target_dev_setup
%sony_target_dev_configure --disable-xmlto
make


%install
rm -rf %{buildroot}
%sony_target_dev_setup
%sony_target_dev_makeinstall

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/alsa/init

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-, root, root)

%{sony_target_dir}%{sony_target_dev_sbin_dir}/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/*
%{sony_target_dir}%{sony_target_dev_data_dir}/alsa/speaker-test/*
#%{sony_target_dir}%{sony_target_dev_data_dir}/locale/ja/LC_MESSAGES/*
#%{sony_target_dir}%{sony_target_dev_data_dir}/locale/ru/LC_MESSAGES/*
%{sony_target_dir}%{sony_target_dev_data_dir}/sounds/alsa/*


%changelog
* Tue Apr 07 2009 Sony Corporation - dev-alsa-lib
- Initial build.
